      subroutine frame(x,y)
c
c     routine to draw a the corners of a frame around a plot.
c     The corners ought to be positioned at (0,0) ; (0,y) ; (x,y)  and
c     (x,0).  If x exceeds 11.2 inches or y exceeds 11.2 inches
c     (roughly the maximum size the HP Laser Printer will permit), the
c     frame is truncated accordingly.
c
      if(x.ge.0.0.and.x.le.11.2)then
        x1=x
      else
        x1=11.2
      end if
      if(y.ge.0.0.and.y.le.11.2)then
        y1=y
      else
        y1=11.2
      end if
      call plot(0.0,0.0,3)
      call plot(0.0,0.1,2)
      call plot(0.0,y1-0.1,3)
      call plot(0.0,y1,2)
      call plot(0.1,y1,2)
      call plot(x1-0.1,y1,3)
      call plot(x1,y1,2)
      call plot(x1,y1-0.1,2)
      call plot(x1,0.1,3)
      call plot(x1,0.0,2)
      call plot(x1-0.1,0.0,2)
      call plot(0.1,0.0,3)
      call plot(0.0,0.0,2)
      return
      end


